// You can import API functions like this from D3.js.
import { select, csv, csvFormat } from 'd3';

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';

// This line uses D3 to set the text of the message div.
select('#message').text(message);

const kilobytes = data => Math.ceil(csvFormat(data).length / 1000);

const body = select ('body');
csv('https://gist.githubusercontent.com/mandadi1999/3800844fee25c2cc315947baaf245f51/raw/0c19a63ac6210dd613407c245d3801da95359736/data.csv')
.then(data => {
  body.append('pre').text('First 10 rows: ');
  body.append('pre').text(
    JSON.stringify(data.slice(0,10), null, 2));
});